// rhsBitmapAdd
// ----------------------------------------------------------------------------------
// Example:
// BitmapAdd(Image1.Picture.Bitmap, Image2.Picture.Bitmap, X, Y);

// ----------------------------------------------------------------------------------

unit rhsBitmapAdd;

{$mode objfpc}{$H+}

interface

uses
  Graphics, IntfGraphics, FPImgCanv, FPCanvas;

procedure BitmapAdd(MainBitmap, AddBitmap: TCustomBitmap; AddBitmapPosX, AddBitmapPosY: Integer);

implementation

procedure BitmapAdd(MainBitmap, AddBitmap: TCustomBitmap; AddBitmapPosX, AddBitmapPosY: Integer);
var
  MainIntfImg: TLazIntfImage = nil;
  AddIntfImg: TLazIntfImage = nil;
  MainCanvas: TFPImageCanvas;
begin
  try
    MainIntfImg := MainBitmap.CreateIntfImage;
    AddIntfImg := AddBitmap.CreateIntfImage;
    MainCanvas := TFPImageCanvas.Create(MainIntfImg);
    MainCanvas.DrawingMode := dmAlphaBlend;
    MainCanvas.Draw(AddBitmapPosX, AddBitmapPosY, AddIntfImg);
    MainBitmap.LoadFromIntfImage(MainIntfImg);
  finally
    MainIntfImg.Free;
    AddIntfImg.Free;
    MainCanvas.Free;
  end;
end;

end.
