unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Forms, ExtCtrls, StdCtrls, ExtDlgs, Classes, SysUtils, LazFileUtils, Controls, Spin;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnClose: TButton;
    btnLoad: TButton;
    btnSave: TButton;
    ImageAdd: TImage;
    ImageShow: TImage;
    ImageMain: TImage;
    Panel1: TPanel;
    OpenPictureDialog1: TOpenPictureDialog;
    SavePictureDialog1: TSavePictureDialog;
    SpinEditX: TSpinEdit;
    SpinEditY: TSpinEdit;
    procedure btnCloseClick(Sender: TObject);
    procedure btnLoadClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
    procedure SetBitmap;
    procedure SpinEditXChange(Sender: TObject);
    procedure SpinEditYChange(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  rhsBitmapAdd;

var
  PicturePath: String = '';

{ TForm1 }

procedure TForm1.SetBitmap;
begin
  ImageShow.Picture.Assign(ImageMain.Picture);
  BitmapAdd(ImageShow.Picture.Bitmap, ImageAdd.Picture.Bitmap, SpinEditX.Value, SpinEditY.Value);
end;

procedure TForm1.SpinEditXChange(Sender: TObject);
begin
  SetBitmap;
end;

procedure TForm1.SpinEditYChange(Sender: TObject);
begin
  SetBitmap;
end;

procedure TForm1.btnLoadClick(Sender: TObject);
begin
  if PicturePath = '' then
    PicturePath := AppendPathDelim(Application.Location);

  OpenPictureDialog1.InitialDir := PicturePath;
  if OpenPictureDialog1.Execute then
  begin
    Screen.BeginWaitCursor;
    ImageMain.Picture.LoadFromFile(OpenPictureDialog1.FileName);
    PicturePath := OpenPictureDialog1.InitialDir;
    Screen.EndWaitCursor;
  end;

  OpenPictureDialog1.InitialDir := PicturePath;
  if OpenPictureDialog1.Execute then
  begin
    Screen.BeginWaitCursor;
    ImageAdd.Picture.LoadFromFile(OpenPictureDialog1.FileName);
    PicturePath := OpenPictureDialog1.InitialDir;
    btnSave.Enabled := True;
    Screen.EndWaitCursor;
  end;

  SetBitmap;
end;

procedure TForm1.btnSaveClick(Sender: TObject);
begin
  SavePictureDialog1.InitialDir := PicturePath;
  SavePictureDialog1.FileName := 'example.png';

  if SavePictureDialog1.Execute then
  begin
    Screen.BeginWaitCursor;
    ImageShow.Picture.SaveToFile(SavePictureDialog1.FileName);
    Screen.EndWaitCursor;
  end;
end;

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  Close;
end;

end.
